aboutsummaryrefslogtreecommitdiff
path: root/bin/sls
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-08-02 17:49:23 +1200
committerTom Ryder <tom@sanctum.geek.nz>2016-08-02 17:49:23 +1200
commita376f8c39501284b379c05c78093a558d7dfc149 (patch)
treeb062431546f5e5ec3b9c0040296e1bc866b8c7b7 /bin/sls
parentFix alignment weirdness in sls(1) (diff)
downloaddotfiles-a376f8c39501284b379c05c78093a558d7dfc149.tar.gz
dotfiles-a376f8c39501284b379c05c78093a558d7dfc149.zip
sls(1) bail if no defaults and no arguments
Diffstat (limited to 'bin/sls')
-rwxr-xr-xbin/sls4
1 files changed, 4 insertions, 0 deletions
diff --git a/bin/sls b/bin/sls
index dee89688..df8625de 100755
--- a/bin/sls
+++ b/bin/sls
@@ -5,4 +5,8 @@ if [ "$#" -eq 0 ] ; then
set -- "$@" "$cfg"
done
fi
+if [ "$#" -eq 0 ] ; then
+ printf >&2 'sls: ssh_config(5) paths not found, need argument\n'
+ exit 1
+fi
slsf -- "$@"